image: docker:latest

stages:
  - build
  - deploy

variables:
  DOCKER_IMAGE_NAME: "vaishnavipoojab/nginxapp"
  DOCKER_IMAGE_TAG: "nginx:1.25.2"

build:
  stage: build
  script:
    - echo "$CI_REGISTRY_PASSWORD" | docker login -u "$CI_REGISTRY_USER" --password-stdin "$CI_REGISTRY"
    - docker build -t $DOCKER_IMAGE_NAME:$DOCKER_IMAGE_TAG .
deploy:
  stage: deploy
  script:
    - docker tag $DOCKER_IMAGE_NAME:$DOCKER_IMAGE_TAG
    - docker push $DOCKER_IMAGE_NAME:$DOCKER_IMAGE_TAG
